%define name ooffice
%define version 1.1
%define release %mkrel 1

Summary:	  	Online Office based on webapplications
Name:		%{name}
Version:		%{version}
Release:		%{release}
Source0:		%{name}-%{version}.tar.bz2
License:		GPL
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
Requires:		gtkdialog
Requires:		zenity
Requires:		opera


%description
Online Office is a applications that directs you to the most powerfull webapps on the internet , creating a powerfull yet extremely small office application.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 755 ooffice $RPM_BUILD_ROOT%{_bindir}

%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/%{name}
%{__install} -m 644 readme.txt $RPM_BUILD_ROOT%{_datadir}/%{name}

%{__install} -D -m 644 blogspot-logo.png $RPM_BUILD_ROOT%{_iconsdir}/blogspot-logo.png

%{__install} -D -m 644 codeide.png $RPM_BUILD_ROOT%{_iconsdir}/codeide.png

%{__install} -D -m 644 fanstudio.png $RPM_BUILD_ROOT%{_iconsdir}/fanstudio.png

%{__install} -D -m 644 gcalendar.png $RPM_BUILD_ROOT%{_iconsdir}/gcalendar.png

%{__install} -D -m 644 gmail.jpg $RPM_BUILD_ROOT%{_iconsdir}/gmail.jpg

%{__install} -D -m 644 google.png $RPM_BUILD_ROOT%{_iconsdir}/google.png

%{__install} -D -m 644 greader.png $RPM_BUILD_ROOT%{_iconsdir}/greader.png

%{__install} -D -m 644 meebo.jpg $RPM_BUILD_ROOT%{_iconsdir}/meebo.jpg

%{__install} -D -m 644 oo2.png $RPM_BUILD_ROOT%{_iconsdir}/oo2.png

%{__install} -D -m 644 pikifx.png $RPM_BUILD_ROOT%{_iconsdir}/pikifx.png

%{__install} -D -m 644 weebly.png $RPM_BUILD_ROOT%{_iconsdir}/weebly.png

%{__install} -D -m 644 zoho.png $RPM_BUILD_ROOT%{_iconsdir}/zoho.png

%{__install} -D -m 644 oo.png $RPM_BUILD_ROOT%{_iconsdir}/oo.png

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=OOffice
Categories=System;Utility;Core;GTK;
Exec=/usr/bin/ooffice
Comment=OnlineOffice
GenericName=OnlineOffice
Icon=oo2
Terminal=false
Type=Application
StartupNotify=false
Categories=Office;GTK;X-MandrivaLinux-Office;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/ooffice
%{_datadir}/%{name}/readme.txt
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/blogspot-logo.png
%{_iconsdir}/codeide.png
%{_iconsdir}/fanstudio.png
%{_iconsdir}/gcalendar.png
%{_iconsdir}/gmail.jpg
%{_iconsdir}/google.png
%{_iconsdir}/greader.png
%{_iconsdir}/meebo.jpg
%{_iconsdir}/oo2.png
%{_iconsdir}/oo.png
%{_iconsdir}/pikifx.png
%{_iconsdir}/weebly.png
%{_iconsdir}/zoho.png


%changelog
* Tue Apr 29 2008 Lord UnR34l <lord.unr34l@gmail.com> 1.0-1
- 1.0
- First build